Skip to content
This repository

Dec 02, 2011

  1. Brian Shirai

    Use 'ruby' as 1.9 executable. Fixes #51.

    brixen authored

Feb 16, 2010

  1. Brian Shirai

    Changed :extended_fiber feature guard to :fiber_library.

    brixen authored

Feb 12, 2010

  1. Brian Shirai

    Reorganized #callcc specs for 1.8 and 1.9.

    Notes:
    * Adds with_feature :continuation guards for 1.8 and with_feature
      :continuation_library for 1.9.
    * TODO: fix up the Continuation#call specs.
    brixen authored

Feb 11, 2010

  1. Brian Shirai

    Added with_feature guards for Readline specs.

    brixen authored
  2. Brian Shirai

    Fixed organization and added with_feature guards for Fiber.

    brixen authored
  3. Brian Shirai

    Added :encoding_transition feature for 1.8.7+.

    brixen authored

Feb 09, 2010

  1. Brian Shirai

    Enable features for 1.8 and 1.9 configurations.

    brixen authored

Jun 10, 2009

  1. Eloy Durán

    Added :ffi and :optional (which at some point could contain more opti…

    …onal libraries) to both ruby.1.x.mspec scripts.
    alloy authored

Jun 04, 2009

  1. runpaint

    Config: Filter /mspec\// from backtraces on 1.9.

    runpaint authored

May 24, 2009

  1. Hongli Lai

    Add some documenting comments for the MSpec config files.

May 03, 2009

  1. ujihisa

    Excludes incompatible librariy Enumerable::Enumerator for 1.9

    ujihisa authored

Mar 31, 2009

  1. Brian Shirai

    Encoding fixes and cleanups for 1.9.

    Array#pack with 'p' and 'P' arguments is undefined by
    RubySpec because it is too implementation-specific and
    is a dangerous feature anyway.
    brixen authored

Feb 06, 2009

  1. Brian Shirai

    Update version to 0.7.2 and require mspec 1.5.7.

    brixen authored
  2. Brian Shirai

    Added tags_patterns and ci_files to 1.9 config.

    brixen authored

Jan 02, 2009

  1. Brian Shirai

    Updated version specific config files with new spec collections.

    brixen authored

Dec 31, 2008

  1. Yuki Yugui Sonoda

    Excludes imcompatible libraries between 1.8 and 1.9 when verifying sp…

    …ecs.
    yugui authored

Dec 29, 2008

  1. Brian Shirai

    Removed separate 1.8 directory and moved specs up.

    brixen authored

Dec 02, 2008

  1. Brian Shirai

    Renamed default config files.

    The default config files used to be 1.8.mspec and 1.9.mspec. MSpec
    would also try to load default.mspec if it existed. This was causing
    conflicts as the settings in 1.8.mspec, for example, would override
    those in the implementation-specific default.mspec file. Now, the
    default file to load is named as follows:
    
      "#{RUBY_ENGINE}.#{RUBY_VERSION.split('.')[0,2].join('.')}.mspec"
    brixen authored
Something went wrong with that request. Please try again.